ESourceList
3
LIBEDATASERVER Library

# ESourceList

## Synopsis

                ESourceList;
    ESourceList* e_source_list_new              (void);
    ESourceList* e_source_list_new_for_gconf    (GConfClient *client,
                                                 const char *path);
    ESourceList* e_source_list_new_for_gconf_default
                                                (const char *path);
    GSList*     e_source_list_peek_groups       (ESourceList *list);
    ESourceGroup* e_source_list_peek_group_by_uid
                                                (ESourceList *list,
                                                 const char *uid);
    ESourceGroup* e_source_list_peek_group_by_name
                                                (ESourceList *list,
                                                 const char *name);
    ESource*    e_source_list_peek_source_by_uid
                                                (ESourceList *list,
                                                 const char *uid);
    ESource*    e_source_list_peek_source_any   (ESourceList *list);
    gboolean    e_source_list_add_group         (ESourceList *list,
                                                 ESourceGroup *group,
                                                 int position);
    gboolean    e_source_list_remove_group      (ESourceList *list,
                                                 ESourceGroup *group);
    gboolean    e_source_list_remove_group_by_uid
                                                (ESourceList *list,
                                                 const char *uid);
    gboolean    e_source_list_remove_source_by_uid
                                                (ESourceList *list,
                                                 const char *uidj);
    gboolean    e_source_list_sync              (ESourceList *list,
                                                 GError **error);
    gboolean    e_source_list_is_gconf_updated  (ESourceList *list);

## Object Hierarchy

      GObject
       +----ESourceList

## Signals

    "changed"   void        user_function      (ESourceList *esourcelist,
                                                gpointer     user_data)        : Run last
    "group-added"
                void        user_function      (ESourceList *esourcelist,
                                                gpointer     arg1,
                                                gpointer     user_data)        : Run last
    "group-removed"
                void        user_function      (ESourceList *esourcelist,
                                                gpointer     arg1,
                                                gpointer     user_data)        : Run last

## Description

## Details

### ESourceList

    typedef struct _ESourceList ESourceList;

### e_source_list_new ()

    ESourceList* e_source_list_new              (void);

Returns :

### e_source_list_new_for_gconf ()

    ESourceList* e_source_list_new_for_gconf    (GConfClient *client,
                                                 const char *path);

`client` :

`path` :

Returns :

### e_source_list_new_for_gconf_default ()

    ESourceList* e_source_list_new_for_gconf_default
                                                (const char *path);

`path` :

Returns :

### e_source_list_peek_groups ()

    GSList*     e_source_list_peek_groups       (ESourceList *list);

`list` :

Returns :

### e_source_list_peek_group_by_uid ()

    ESourceGroup* e_source_list_peek_group_by_uid
                                                (ESourceList *list,
                                                 const char *uid);

`list` :

`uid` :

Returns :

### e_source_list_peek_group_by_name ()

    ESourceGroup* e_source_list_peek_group_by_name
                                                (ESourceList *list,
                                                 const char *name);

`list` :

`name` :

Returns :

### e_source_list_peek_source_by_uid ()

    ESource*    e_source_list_peek_source_by_uid
                                                (ESourceList *list,
                                                 const char *uid);

`list` :

`uid` :

Returns :

### e_source_list_peek_source_any ()

    ESource*    e_source_list_peek_source_any   (ESourceList *list);

`list` :

Returns :

### e_source_list_add_group ()

    gboolean    e_source_list_add_group         (ESourceList *list,
                                                 ESourceGroup *group,
                                                 int position);

`list` :

`group` :

`position` :

Returns :

### e_source_list_remove_group ()

    gboolean    e_source_list_remove_group      (ESourceList *list,
                                                 ESourceGroup *group);

`list` :

`group` :

Returns :

### e_source_list_remove_group_by_uid ()

    gboolean    e_source_list_remove_group_by_uid
                                                (ESourceList *list,
                                                 const char *uid);

`list` :

`uid` :

Returns :

### e_source_list_remove_source_by_uid ()

    gboolean    e_source_list_remove_source_by_uid
                                                (ESourceList *list,
                                                 const char *uidj);

`list` :

`uidj` :

Returns :

### e_source_list_sync ()

    gboolean    e_source_list_sync              (ESourceList *list,
                                                 GError **error);

`list` :

`error` :

Returns :

### e_source_list_is_gconf_updated ()

    gboolean    e_source_list_is_gconf_updated  (ESourceList *list);

`list` :

Returns :

## Signal Details

### The "changed" signal

    void        user_function                  (ESourceList *esourcelist,
                                                gpointer     user_data)        : Run last

`esourcelist` :

  the object which received the signal.

`user_data` :

  user data set when the signal handler was connected.

### The "group-added" signal

    void        user_function                  (ESourceList *esourcelist,
                                                gpointer     arg1,
                                                gpointer     user_data)        : Run last

`esourcelist` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.

### The "group-removed" signal

    void        user_function                  (ESourceList *esourcelist,
                                                gpointer     arg1,
                                                gpointer     user_data)        : Run last

`esourcelist` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.